[haiku-bugs] Re: [Haiku] #13348: [Pootle 2.7] Tracking ticket to update to Pootle 2.7

  • From: "nielx" <trac@xxxxxxxxxxxx>
  • Date: Sun, 26 Feb 2017 16:25:41 -0000

#13348: [Pootle 2.7] Tracking ticket to update to Pootle 2.7
-----------------------------------------+-----------------------
   Reporter:  nielx                      |      Owner:  haiku-web
       Type:  task                       |     Status:  new
   Priority:  normal                     |  Milestone:
  Component:  Website/i18n.haiku-os.org  |    Version:
 Resolution:                             |   Keywords:
 Blocked By:  9743, 12869, 13306         |   Blocking:
Has a Patch:  0                          |   Platform:  All
-----------------------------------------+-----------------------

Comment (by nielx):

 '''Notes on 2.7'''

 * After the upgrade to 2.7.6 there is a problem with stray *.pyc files
 * The database connector needs to be changed to
 `transaction_hooks.backends.postgresql_psycopg2`
 * The rqworker needs to be started

 Commands to be run to upgrade the database:
 {{{
 python manage.py migrate accounts 0002 --fake
 python manage.py migrate pootle_translationproject 0002 --fake
 python manage.py migrate
 python manage.py calculate_checks
 python manage.py refresh_stats
 }}}

--
Ticket URL: <https://dev.haiku-os.org/ticket/13348#comment:8>
Haiku <https://dev.haiku-os.org>
The Haiku operating system.

Other related posts: